import time
import serial

# # =============================================================================
counter = ["<S3F2DV99>", "<S4F1DV00>", "<S5F1DV00>", "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
		"<S3F2UV99>", "<S4F1UV00>", "<S5F1UV00>", "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
		"<S2F3DV99>", "<S2F2DV00>", "<S5F1DV00>","<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
		"<S2F3UV99>", "<S2F2UV00>", "<S5F1UV00>","<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
		"<S4F2DV99>", "<S5F3DV00>","<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
		"<S4F2UV99>", "<S5F3UV00>","<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
        "<S1SV00B>", "<S2SV00B>", "<S3SV00B>", "<S4SV00B>", "<S5SV00B>", "<S6SV00BE>",
       "<S5F3DV99>", "<S5F3UV99>","<S4F2DV99>", "<S4F2UV99>", "<S4F1DV99>", "<S4F1UV99>",
       "<S5F3DV99>", "<S5F3UV99>","<S4F2DV99>", "<S4F2UV99>", "<S4F1DV99>", "<S4F1UV99>",
       "<S5F3DV99>", "<S5F3UV99>","<S4F2DV99>", "<S4F2UV99>", "<S4F1DV99>", "<S4F1UV99>","<S1F3DV99>", "<S1F3UV99>",
       "<S2F3DV99>", "<S2F3UV99>","<S3F3DV99>", "<S3F3UV99>",
       "<S2SV00BE>", "<S2F2DV99>",  "<S2F3DV99>", "<S2F3UV99>", "<S2F2UV99>",
       "<S5SV00BE>", "<S5F1DV99>", "<S5F3DV99>", "<S5F3UV99>", "<S5F1UV99>",
       "<S2SV00BE>", "<S2F2DV99>",  "<S2F3DV99>", "<S2F3UV99>", "<S2F2UV99>"
       ]
## # =============================================================================
## # =============================================================================
timer = [ 0, 0, 0.1, 0, 0, 0, 0, 0, 0.6, 
          0, 0, 0.1, 0, 0, 0, 0, 0, 0.6,
          0, 0, 0.1, 0, 0, 0, 0, 0, 0.6,
          0, 0, 0.1, 0, 0, 0, 0, 0, 0.6,
          0, 0.1, 0, 0, 0, 0, 0, 0.6,
          0, 0.1, 0, 0, 0, 0, 0, 4,
          0, 0, 0, 0, 0, 0.1,
          0, 0, 0, 0, 0, 0.1,
          0, 0, 0, 0, 0,0.1,
          0, 0, 0, 0, 0, 0.3,
          0, 0, 0, 0, 0, 0.1,
          0, 0, 0, 0, 0, 0.1,
          0, 0, 0, 0, 0,0.1,
          0, 0, 0, 0, 0, 4,
          0.05, 0.2, 0.05, 0.2, 0.05, 0.2,
          0.05, 0.2, 0.05, 0.2, 0.05, 0.2,
          0.05, 0.2, 0.05, 0.2, 0.05, 0.2, 0.05, 0.2,
          0.05, 0.2, 0.05, 4,
          0.2, 0.2, 0.05, 0.2, 0.6,
          0.2, 0.2, 0.05, 0.2, 0.6,
          0.2, 0.2, 0.05, 0.2, 0.6
        ]
# # =============================================================================





test2 = []
i = False
ser = serial.Serial()
ser.baudrate = 9600
ser.port = 'COM3'
ser.open()
print("connected")
while i == False:  
    test = ser.read(7) 
    test = str(test)
    if test == "b'start\\r\\n'":
       i = True 
    print(test)
x = 0    

for i in counter:
    ser.write(str.encode(i)) 
    test = ser.read(9) 
    print(test)
    time.sleep(timer[x])
    x +=1
ser.close()
